<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0021WFDynaActionView_layoutBase from './ibizsample0021-wfdyna-action-view-layout-base.vue';

import view_form from '@widgets/ibizsample0021/operation-form-form/operation-form-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0021WFDynaActionView_layout extends IBIZSample0021WFDynaActionView_layoutBase {

}
</script>